@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap");

:root {
	--primaryColor: #6b7a99;
	--secondaryColor: #8833ff;
}

* {
	box-sizing: border-box;
}

html {
	color: var(--primaryColor);
	font-family: "Roboto", Arial, Helvetica, sans-serif;
}

body {
	background-color: #f7f8fa;
	font-size: 12px;
	display: grid;
	grid-template-rows: max-content auto;
	width: 90%;
	margin: 3em auto;
	row-gap: 4em;
}

.hidden {
	display: none;
}

input::placeholder {
	color: #adb8cc;
}

.container {
	display: flex;
	gap: 4em;
}

.navbar {
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
}

.nav-brand {
	display: flex;
	align-items: center;
	gap: 1.5em;
}

.navbar .nav-icon {
	background-color: white;
	padding: 10px;
	border-radius: 50%;
	color: #c3cad9;
	box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
	font-size: 18px;
	cursor: pointer;
}

.navbar .user-icon {
	display: none;
}

.nav-brand .title {
	font-weight: bold;
	font-size: 1.5em;
}

.nav-links {
	display: flex;
	gap: 3em;
	font-size: 1em;
	list-style: none;
}

.nav-link a {
	text-decoration: none;
	font-weight: bold;
	color: var(--primaryColor);
}

.nav-link:hover :is(a, a i) {
	color: var(--secondaryColor);
}

.nav-searchbar {
	display: flex;
	align-items: center;
	justify-content: space-between;
	background-color: white;
	box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
	padding: 10px 20px;
	width: 300px;
	border-radius: 30px;
}

.nav-searchbar .search-btn {
	background: none;
	border: none;
	padding: 0;
}

.nav-searchbar input {
	border: none;
	outline: none;
	width: 100%;
	font-size: 12px;
}

.nav-searchbar i {
	opacity: 0.5;
	font-size: 17px;
	cursor: pointer;
}

.nav-notifications {
	font-size: 1.5em;
	display: flex;
	gap: 1.5em;
}

.nav-notification {
	position: relative;
	padding: 13px 15px;
	border-radius: 50%;
	font-size: 16px;
	cursor: pointer;
}

.nav-notification:hover {
	box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
	background-color: rgba(136, 51, 255, 0.1);
	color: var(--secondaryColor);
}

.nav-notification :where(.notification-counter) {
	background-color: var(--secondaryColor);
	color: white;
	font-size: 8px;
	padding: 2px 5px;
	margin: 1px;
	border-radius: 50%;
	position: absolute;
	top: 0;
	right: 0;
}

.side-menu {
	display: flex;
	flex-direction: column;
	gap: 1em;
	box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
	padding: 20px;
	border-radius: 15px;
	min-width: 320px;
	height: fit-content;
}

.tab-body {
	display: none;
}

.tab-header {
	display: grid;
	grid-template-columns: max-content auto max-content;
	border-radius: 10px;
	height: 60px;
	align-items: center;
}

.tab-header :is(.tab-title, .tab-message-counter, .tab-message) {
	font-weight: bold;
}

.tab-header:has(.tab-message, .tab-message-counter) {
	grid-template-columns: max-content auto max-content max-content;
}

.tab.active {
	background-color: white;
	box-shadow: 0px 2px 5px rgba(38, 51, 77, 0.03);
	border-radius: 15px;
}

.tab.active .tab-body {
	display: block;
}

.tab.active .tab-header {
	position: relative;
}

.tab.active .tab-header::after {
	content: "";
	position: absolute;
	background-color: #f5f6f7;
	bottom: 0;
	left: 0;
	right: 0;
	margin-left: auto;
	margin-right: auto;
	height: 2px;
	width: 250px;
}

.tab:not(.active) .tab-header:hover {
	background-color: var(--secondaryColor);
}

.tab:not(.active)
	.tab-header:hover
	:is(.tab-title, .tab-message-counter, .tab-message) {
	color: white;
}

.tab:not(.active) .tab-header:hover .tab-message-counter {
	background: rgba(255, 255, 255, 0.2);
}

.tab:not(.active) .tab-header:hover .tab-toggle {
	color: rgba(255, 255, 255, 0.5);
}

.tab-icon {
	margin: 20px;
	width: 18px;
	height: 18px;
	justify-self: center;
}

i.tab-icon {
	color: #33bfff;
	font-size: 18px;
}

.tab-toggle {
	justify-self: center;
	margin: 20px;
	color: #c3cad9;
	cursor: pointer;
}

.tab-message {
	background-color: #ff6633;
	color: white;
	padding: 10px 15px;
	border-radius: 30px;
	text-transform: uppercase;
	font-weight: bold;
}

.tab-message-counter {
	background-color: white;
	padding: 8px 11px;
	border-radius: 50%;
	box-shadow: 0px 2px 5px rgba(38, 51, 77, 0.03);
}

.users {
	display: flex;
	flex-direction: column;
	margin: 10px 15px;
	gap: 1em;
}

.users .user {
	display: grid;
	width: 100%;
	grid-template-columns: max-content auto 30%;
	column-gap: 1em;
	align-items: center;
}

.users .user .user-profile {
	width: 30px;
	height: 30px;
}

.users .user .user-profile img {
	width: 100%;
	height: 100%;
}

.users .user .user-name {
	justify-self: flex-start;
	font-weight: 700;
}

.users .user .user-availability {
	display: flex;
	gap: 1em;
	justify-content: left;
	width: 20%;
	font-weight: 900;
}

.user-availability.availability-online i {
	color: #29cc39;
}

.user-availability.availability-wait i {
	color: #ffcb33;
}

.user-availability.availability-offline i {
	color: #c3cad9;
}

main {
	display: grid;
	grid-template-columns: repeat(2, minmax(450px, 0.5fr));
	grid-template-rows: repeat(3, minmax(300px, 0.5fr));
	gap: 2.5em;
	margin-bottom: 2em;
}

.card {
	box-shadow: 0px 2px 5px rgba(38, 51, 77, 0.03);
	border-radius: 10px;
	font-weight: bold;
	color: white;
	display: flex;
	flex-direction: column;
	background-color: white;
	color: #6b7a99;
	/* height: 100%;
	width: 100%; */
}

.card-btn {
	border: none;
	background-color: #f7f8fa;
	color: #6b7a99;
	border-radius: 15px;
	padding: 0.5em 0.9em;
	cursor: pointer;
}

.card-btn:has(i) {
	border-radius: 100%;
	padding: 0.4em 0.5em;
	text-align: center;
}

.card :is(.card-header, .card-footer) {
	margin: 0 1.5em;
}

.card .card-header {
	margin-top: 1.5em;
	display: flex;
	justify-content: space-between;
	align-items: center;
	position: relative;
}

.card .card-header .card-ellipses {
	color: #c3cad9;
	font-size: 1.5em;
	cursor: pointer;
}

.card .card-header .card-tabs {
	display: flex;
	justify-content: space-between;
	gap: 4em;
	font-weight: 900;
	color: #adb8cc;
}

.card .card-header .card-tabs :where(.card-tab.active, .card-tab:hover) {
	color: #8833ff;
	cursor: pointer;
	position: relative;
}

.card .card-header .card-tabs .card-tab:where(.active, :hover)::after {
	content: "";
	height: 3px;
	width: 100%;
	background: #8833ff;
	position: absolute;
	bottom: -23px;
	left: 0;
	z-index: 1;
}

.card .card-body {
	flex: 1;
	align-self: center;
	text-align: center;
}

.card .card-footer {
	margin-bottom: 1.5em;
}

.card:not(:has(.card-footer)) .card-body {
	margin-bottom: 2em;
}

.card:not(.card-sm) .card-header {
	margin-bottom: 2em;
}

.card:not(.card-sm) .card-header:after {
	content: "";
	height: 2px;
	width: 100%;
	background: #f5f6f7;
	position: absolute;
	left: -20px;
	bottom: -20px;
	padding: 0 20px;
}

.card.card-sm {
	justify-content: space-between;
}

.card.card-sm .card-body {
	font-size: 2em;
	margin: 0.5em 0;
}

.card.card-sm .card-footer {
	display: flex;
	justify-content: center;
	gap: 1em;
}

.card.card-sm .card-btn {
	padding: 1em;
	font-size: 0.8em;
}

.card.card-sm .card-btn:has(i) {
	margin: 0;
	padding: 0.5em;
	font-size: 1.2em;
	text-align: center;
}

.tab-cards {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	grid-template-rows: 1fr 1fr;
	/* height: 100%; */
	gap: 2em;
}

.card.card-white-theme .card-header .card-ellipses {
	color: #c3cad9;
}

.card:is(.card-green-theme, .card-purple-theme, .card-orange-theme, .card-blue-theme, .card-black-theme) {
	color: white;
}

.card:is(.card-green-theme, .card-purple-theme, .card-orange-theme, .card-blue-theme, .card-black-theme)
	.card-btn {
	color: white;
}

.card:is(.card-green-theme, .card-purple-theme, .card-orange-theme, .card-blue-theme, .card-black-theme)
	.card-header
	.card-ellipses {
	color: rgba(255, 255, 255, 0.5);
}

.card.card-green-theme {
	background-color: #29cc39;
}

.card.card-green-theme :is(.card-btn) {
	background-color: #13bf24;
}

.card.card-purple-theme {
	background-color: #8833ff;
}

.card.card-purple-theme :is(.card-btn) {
	background-color: #7919ff;
}

.card.card-orange-theme {
	background-color: #ff6633;
}

.card.card-orange-theme :is(.card-btn) {
	background-color: #e64b17;
}

.card.card-blue-theme {
	background-color: #33bfff;
}

.card.card-blue-theme :is(.card-btn) {
	background-color: #17a5e6;
}

.card.card-black-theme {
	background-color: #1a2233;
}

.card.card-black-theme :is(.card-btn) {
	background-color: #26334d;
}

.card:has(.latest-events) {
	grid-row: span 2;
}

.card:has(.latest-events) .card-body {
	overflow-y: scroll;
}

.latest-events {
	display: flex;
	flex-direction: column;
	font-weight: bold;
	gap: 3em;
	margin: 2em;
	color: #7d8fb3;
}

.event {
	display: grid;
	grid-template-columns: max-content auto;
	grid-template-rows: max-content auto;
	justify-items: start;
	align-items: center;
	gap: 1em;
	column-gap: 2em;
}

.event .event-infos {
	display: flex;
	gap: 1em;
}

.event .event-infos .event-info {
	background: #f7f8fa;
	border-radius: 15px;
	padding: 5px 15px;
}

.event .event-icon {
	/* align-self: flex-start; */
	background-color: #f7f8fa;
	padding: 10px;
	border-radius: 100%;
	margin: auto;
}

.event .event-icon svg {
	width: 15px;
	height: 15px;
}

.event .event-icon i {
	font-size: 15px;
	color: #3361ff;
}

.event .event-details {
	grid-column-start: 2;
	text-align: left;
}

.event .event-details p {
	color: #6b7a99;
}

.bar-chart {
	display: grid;
	width: 100%;
	height: 100%;
	gap: 1em;
	color: #adb8cc;
	font-size: 12px;
	font-weight: 700;
}

.bar-chart-vertical {
	grid-template-columns: auto max-content;
	grid-template-rows: auto max-content;
}

.bar-chart-horizontal {
	grid-template-columns: max-content auto;
	grid-template-rows: auto max-content;
	position: relative;
}

.card-body:has(.chart-values) {
	flex-grow: 1;
	width: 90%;
	margin: 20px;
}

.chart-values {
	display: flex;
	align-items: flex-end;
	justify-content: space-around;
	border-bottom: 2px solid #f5f6f7;
}

.chart-values .chart-value {
	width: 5px;
	background: #29cc39;
	border-radius: 120px 120px 0px 0px;
	position: relative;
}

.chart-values .chart-value .label {
	position: relative;
	font-size: 8px;
	top: -25px;
	width: max-content;
	background-color: #29cc39;
	border-radius: 5px;
	color: white;
	padding: 5px 8px;
	left: -23px;
	z-index: 1;
}

.chart-values .chart-value .label .label-arrow {
	position: absolute;
	z-index: 1;
	bottom: -5px;
	left: calc(50% - 5px);
	border-width: 5px 5px 0;
	border-style: solid;
	border-color: #29cc39 transparent;
}

.chart-y-labels {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.chart-x-labels {
	display: flex;
	justify-content: space-around;
}

.chart-x-labels div {
	width: 5px;
}

.bar-chart-horizontal .chart-y-labels {
	grid-column: 1;
	grid-row: 1;
	text-align: left;
	justify-content: space-around;
	color: #6b7a99;
}

.bar-chart-horizontal .chart-x-labels {
	grid-column: 2;
}

.bar-chart-horizontal .chart-values {
	grid-column: 2;
	flex-direction: column;
	align-items: flex-start;
	position: relative;
}

.bar-chart-horizontal .chart-values::before {
	content: "";
	height: 100%;
	width: 2px;
	padding-bottom: 30px;
	background-color: #f5f6f7;
	position: absolute;
	left: 0;
	top: 0;
}

.bar-chart-horizontal .chart-values .chart-value {
	height: 5px;
	border-radius: 0px 120px 120px 0px;
}

.bar-chart-horizontal .chart-values .chart-value .label {
	left: calc(100% - 12px);
}

.card-body:has(.site-speed) {
	/* width: 100%;
	height: 100%; */
	margin: 0 !important;
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
}

.site-speed {
	height: 60%;
	width: 80%;
	display: grid;
	grid-template-columns: 0.8fr 1fr;
	gap: 10px;
	color: #3361ff;
	font-weight: 700;
}

.site-speed .highlighted {
	background: rgba(51, 97, 255, 0.05);
	font-weight: 700;
	font-size: 24px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	border-radius: 100%;
}

.site-speed .highlighted .highlighted-value {
	font-size: 1em;
}

.site-speed .highlighted .highlighted-unit {
	font-size: 0.5em;
}

.site-speed .data-grid {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-template-rows: 1fr 1fr;
	gap: 1em;
}

.site-speed .data-grid .data {
	display: flex;
	flex-direction: column;
	justify-content: center;
	gap: 1em;
	background: rgba(51, 97, 255, 0.05);
	border-radius: 10px;
}

.site-speed .data-grid .data .data-value {
	font-size: 14px;
}

.site-speed .data-grid .data .data-name {
	font-size: 10px;
}

.card-tab-select{
	display: none;
	margin-right: -8em;
}

.card-tab-select select {
	padding: 0.5em 1em;
	margin: 0;
	background: #ffffff;
	border: 2px solid #f5f6f7;
	box-shadow: 0px 2px 5px rgba(38, 51, 77, 0.03);
	border-radius: 20px;
	width: 110%;
}

@media (max-width: 480px) {
	html {
		margin: 0;
		padding: 0;
	}

	body {
		padding: 0;
		justify-content: center;
		justify-items: center;
		width: 100%;
	}

	:is(.nav-links, .nav-searchbar, .nav-notifications, .side-menu) {
		display: none;
	}

	.navbar {
		width: 90%;
	}

	.navbar .user-icon {
		display: block;
	}

	.container {
		flex-direction: column;
		align-items: center;
	}

	main {
		grid-template-columns: 1fr;
		grid-template-rows: repeat(5, 1fr);
		width: 90%;
	}

	.tab-cards {
		grid-template-columns: 1fr 1fr;
		grid-template-rows: repeat(3, 1fr);
		gap: 2em;
	}

	#user-stat {
		grid-row: 2;
	}

	.card-tabs {
		display: none !important;
	}

	.card .card-body:has(.latest-events) .event-info {
		font-size: 0.8em;
	}

	.card .card-body:has(.site-speed) {
		height: fit-content;
	}

	.site-speed {
		grid-template-columns: 1fr;
		grid-template-rows: 1fr 1fr;
		height: fit-content;
		margin-bottom: 20px;
	}

	.site-speed .highlighted {
		justify-self: center;
		width: 190px;
		height: 190px;
	}

	.card-tab-select{
		display: block;
	}

	#statistic .card-body .bar-chart{
		position: relative;
	}

	#statistic .card-body .bar-chart .chart-y-labels{
		display: flex;
		flex-direction: column;
		justify-content: space-around;
		height: 90%;
		left: 2em;
		top: -1em;
		position: absolute;
	}
}
